Package org.gradle.api.tasks.testing

## Interface TestListener

-     public interface TestListener

  Interface for listening to test execution. The intent is to be framework agnostic. Currently this interface can support feedback from JUnit and TestNG tests.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterSuite​(TestDescriptor suite, TestResult result)` | Called after a test suite is finished.
    `void` | `afterTest​(TestDescriptor testDescriptor, TestResult result)` | Called after an atomic test is finished.
    `void` | `beforeSuite​(TestDescriptor suite)` | Called before a test suite is started.
    `void` | `beforeTest​(TestDescriptor testDescriptor)` | Called before an atomic test is started.

- - ### Method Detail

    - #### beforeSuite

          void beforeSuite​(TestDescriptor suite)

      Called before a test suite is started.
      Parameters:
        `suite` - The suite whose tests are about to be executed.

    - #### afterSuite

          void afterSuite​(TestDescriptor suite,
                          TestResult result)

      Called after a test suite is finished.
      Parameters:
        `suite` - The suite whose tests have finished being executed.
        `result` - The aggregate result for the suite.

    - #### beforeTest

          void beforeTest​(TestDescriptor testDescriptor)

      Called before an atomic test is started.
      Parameters:
        `testDescriptor` - The test which is about to be executed.

    - #### afterTest

          void afterTest​(TestDescriptor testDescriptor,
                         TestResult result)

      Called after an atomic test is finished.
      Parameters:
        `testDescriptor` - The test which has finished executing.
        `result` - The test result.